Merge branch 'testing' in preparation for binary release.

This commit is contained in:
Storm Dragon 2021-08-20 16:58:43 -04:00
commit e0d9a9564d
2 changed files with 101 additions and 10 deletions

View File

@ -336,6 +336,10 @@ get_bottle() {
"run-for-your-life"*) ;&
"thief"*) ;&
"villains-from-beyond"*) export WINEPREFIX="${HOME}/.local/wine/oriol-gomez";;
# ESP Pinball games
"esp-pinball-classic"*) export WINEPREFIX="${HOME}/.local/wine/esp-pinball";;
"esp-pinball-extreme"*) export WINEPREFIX="${HOME}/.local/wine/esp-pinball";;
"esp-pinball-party-pack"*) export WINEPREFIX="${HOME}/.local/wine/esp-pinball";;
*) export WINEPREFIX="${HOME}/.local/wine/${game%|*}";;
esac
}
@ -403,6 +407,9 @@ echo "Loading documentation, please wait..."
gameDoc="$(find "$gamePath" -type f -iname "$i" -or -iname 'manual.htm' | head -1)"
done
fi
if [[ -z "$gameDoc" ]]; then
gameDoc="$(find "$gamePath" -type f -path '*/Manual/index.html' | head -1)"
fi
if [[ -z "$gameDoc" ]]; then
gameDoc="$(find "$gamePath" -type f -iname '[A-Z]*Help.htm' -or -iname '[A-Z]*Help.html' | head -1)"
fi
@ -766,6 +773,7 @@ gameList=(
"A Hero's Call"
"Adrian's Doom"
"Adventurers At C"
"Alien Outback"
"AudioDisc"
"AudioQuake"
"Battle of the Hunter"
@ -831,8 +839,12 @@ gameList=(
"Death on the Road"
"Deathmatch"
"Duck Hunt"
"DynaMan"
"Easter Quest"
#"Entombed"
"ESP Pinball Classic"
"ESP Pinball Extreme"
"ESP Pinball Party Pack"
#"Eurofly"
"Extant"
"Fantasy Story II"
@ -880,12 +892,14 @@ gameList=(
"Slender Lost Vision"
"Sonic Zoom"
#"Space Defender"
"Super Dogs Bone Hunt"
"Super Egg Hunt"
"Super Liam"
#"Super Mario Bros"
"Survive the Wild"
"Swamp"
"Technoshock"
"Ten Pin Alley"
"The Blind Swordsman"
#"The Gate"
"The Great Toy Robbery"
@ -988,6 +1002,17 @@ case "${game}" in
7z e -o"$WINEPREFIX/drive_c/Program Files/aac/stages" "${cache}/adventure at c stages.7z"
add_launcher "c:\Program Files\aac\aac.exe"
;;
"Alien Outback")
export winVer="win7"
install_wine_bottle vb6run dx8vb speechsdk quartz
download "http://download.dracoent.com/Windows/classic/AOSetup.exe"
wine "${cache}/AOSetup.exe" /sp- /silent
# warning warning warning: Do not change location, or installer will not function.
# FIXME: Hacky, but it works. Install dotnet20 by itself so it actually doesn't hang.
winetricks -q dotnet20
wineserver -k # Damn you, dotnet.
add_launcher "c:\Program Files\Draconis Entertainment\Alien Outback\ao.exe"
;;
"AudioDisc")
install_wine_bottle
download "https://agarchive.net/games/other/audiodisc.zip"
@ -1504,6 +1529,17 @@ case "${game}" in
wine "${cache}/dhsetup.exe" /silent
add_launcher "c:\Program Files\Lworks\Duck Hunt\duckhunt.exe"
;;
"DynaMan")
export winVer="win7"
install_wine_bottle vb6run dx8vb speechsdk quartz
download "http://download.dracoent.com/Windows/classic/DMSetup.exe"
wine "${cache}/DMSetup.exe" /sp- /silent
# warning warning warning: Do not change location, or installer will not function.
# FIXME: Hacky, but it works. Install dotnet20 by itself so it actually doesn't hang.
winetricks -q dotnet20
wineserver -k # Damn you, dotnet.
add_launcher "c:\Program Files\Draconis Entertainment\DynaMan\dm.exe"
;;
"Easter Quest")
install_wine_bottle
download "https://agarchive.net/games/mt/easter%20quest%20setup.exe"
@ -1521,6 +1557,43 @@ case "${game}" in
wine "${cache}/EntombedSetup.exe" /silent
add_launcher "c:\Program Files\Entombed\Entombed.exe"
;;
"ESP Pinball Classic")
export winVer="win7"
export bottle="esp-pinball"
install_wine_bottle vb6run dx8vb speechsdk quartz
download "http://download.dracoent.com/Windows/classic/PBCSetup.exe"
wine "${cache}/PBCSetup.exe" /sp- /silent
# warning warning warning: Do not change location, or installer will not function.
# FIXME: Hacky, but it works. Install dotnet20 by itself so it actually doesn't hang.
winetricks -q dotnet20
wineserver -k # Damn you, dotnet.
add_launcher "c:\Program Files\Draconis Entertainment\ESP Pinball Classic\pbc.exe"
;;
"ESP Pinball Extreme")
export winVer="win7"
export bottle="esp-pinball"
install_wine_bottle vb6run dx8vb speechsdk quartz
download "http://download.dracoent.com/Windows/classic/PBXSetup.exe"
wine "${cache}/PBXSetup.exe" /sp- /silent
# warning warning warning: Do not change location, or installer will not function.
# FIXME: Hacky, but it works. Install dotnet20 by itself so it actually doesn't hang.
winetricks -q dotnet20
wineserver -k # Damn you, dotnet.
add_launcher "c:\Program Files\Draconis Entertainment\ESP Pinball Xtreme\pbx.exe"
;;
"ESP Pinball Party Pack")
export winVer="win7"
export bottle="esp-pinball"
export WINEPREFIX="$HOME/.local/wine/esp-pinball"
# Only works in conjunction with esp pinball extreme.
if ! [ -f "$HOME/.local/wine/$bottle/drive_c/Program Files/Draconis Entertainment/ESP Pinball Xtreme/pbx.exe" ] ; then
echo "Error: You need to install ESP Pinball Extreme first to use this game. Please do so before continuing." >&2
exit 1
fi
download "http://download.dracoent.com/Windows/classic/PP1Setup.exe"
wine "${cache}/PP1Setup.exe" /sp- /silent
add_launcher "c:\Program Files\Draconis Entertainment\ESP Pinball Xtreme\pbx.exe"
;;
"Eurofly")
export winVer="win7"
export winetricksSettings="vd=1024x768"
@ -1786,7 +1859,7 @@ EOF
"Pacman Talks")
install_wine_bottle
download "http://www.gmagames.com/pmt101.exe"
wine "${cache}/pmt101.exe" /sp- /silent &
wine "${cache}/pmt101.exe" /sp- /silent
add_launcher "c:\Program Files\Pacman Talks\pmt.exe"
;;
"Palace Punch Up")
@ -1948,6 +2021,12 @@ EOF
find "${WINEPREFIX}" -type f -name 'nvdaControllerClient64.dll' -exec cp -v "${cache}/nvdaControllerClient64.dll" "{}" \;
add_launcher "c:\Program Files\space_defender\sdefender.exe"
;;
"Super Dogs Bone Hunt")
install_wine_bottle vb6run dx8vb speechsdk
download "http://www.pcs-games.net/SBH11.exe"
wine "${cache}/SBH11.exe" /sp- /silent
add_launcher "c:\Program Files\SuperDog's Bone Hunt\sbh.exe"
;;
"Super Egg Hunt")
install_wine_bottle
download "http://files.l-works.net/superegghuntsetup.exe"
@ -1999,6 +2078,18 @@ EOF
wine "$WINEPREFIX/drive_c/Program Files/setup_eng_update_pack.exe" /silent
add_launcher "c:\Program Files\Tiflocomp Games\Technoshock\ts.exe"
;;
"Ten Pin Alley")
export winVer="win7"
install_wine_bottle vb6run dx8vb speechsdk quartz
download "http://download.dracoent.com/Windows/classic/TPAXPSetup.exe"
wine "${cache}/TPAXPSetup.exe" /sp- /silent
#winetricks -q msdxmocx # I think having this installed first breaks things.
# warning warning warning: Do not change location, or installer will not function.
# FIXME: Hacky, but it works. Install dotnet20 by itself so it actually doesn't hang.
winetricks -q dotnet20
wineserver -k # Damn you, dotnet.
add_launcher "c:\Program Files\Draconis Entertainment\Ten Pin Alley\tpa.exe"
;;
"The Blind Swordsman")
install_wine_bottle
download "https://www.agarchive.net/games/other/the%20blind%20swordsmanPC.zip"

View File

@ -41,14 +41,14 @@
cache="${XDG_CONFIG_HOME:-$HOME/.config}/storm-games/audiogame-manager/cache"
configFile="${XDG_CONFIG_HOME:-$HOME/.config}/storm-games/audiogame-manager/games.conf"
url="http://pragmapragma.free.fr/crazy-party/Crazy-Party-beta75.zip"
(rm -v "${cache}/Crazy-Party-beta73.zip"
wget -O "${cache}/Crazy-Party-beta75.zip" "$url" || { echo "Could not download file."; exit 1; }
unzip -DDod "$HOME/.local/wine/crazy-party/drive_c/Program Files" "${cache}/Crazy-Party-beta75.zip"
rm -fv "$HOME/.local/wine/crazy-party/drive_c/Program Files/Crazy-Party-beta75/nvdaControllerClient32.dll"
sed -i 's/Crazy-Party-beta73/Crazy-Party-beta75/' "$configFile"
mv -v "$HOME/.local/wine/crazy-party/drive_c/Program Files/Crazy-Party-beta73/save.bin" "$HOME/.local/wine/crazy-party/drive_c/Program Files/Crazy-Party-beta75/"
cp -ruv "$HOME/.local/wine/crazy-party/drive_c/Program Files/Crazy-Party-beta73/"* "$HOME/.local/wine/crazy-party/drive_c/Program Files/Crazy-Party-beta75/" 2> /dev/null
rm -rf "$HOME/.local/wine/crazy-party/drive_c/Program Files/Crazy-Party-beta73/") | dialog --progressbox "updating Crazy Party, please wait..." -1 -1
url="http://pragmapragma.free.fr/crazy-party/Crazy-Party-beta76.zip"
(rm -v "${cache}/Crazy-Party-beta75.zip"
wget -O "${cache}/Crazy-Party-beta76.zip" "$url" || { echo "Could not download file."; exit 1; }
unzip -DDod "$HOME/.local/wine/crazy-party/drive_c/Program Files" "${cache}/Crazy-Party-beta76.zip"
rm -fv "$HOME/.local/wine/crazy-party/drive_c/Program Files/Crazy-Party-beta76/nvdaControllerClient32.dll"
sed -i 's/Crazy-Party-beta75/Crazy-Party-beta76/' "$configFile"
mv -v "$HOME/.local/wine/crazy-party/drive_c/Program Files/Crazy-Party-beta75/save.bin" "$HOME/.local/wine/crazy-party/drive_c/Program Files/Crazy-Party-beta76/"
cp -ruv "$HOME/.local/wine/crazy-party/drive_c/Program Files/Crazy-Party-beta75/"* "$HOME/.local/wine/crazy-party/drive_c/Program Files/Crazy-Party-beta76/" 2> /dev/null
rm -rf "$HOME/.local/wine/crazy-party/drive_c/Program Files/Crazy-Party-beta75/") | dialog --progressbox "updating Crazy Party, please wait..." -1 -1
exit 0